---------------------------------------------------------------------------------------
local PREFIX_PATH = "Data/Textures/HO/08_Lauras_room/Animations/Monkey/"
---------------------------------------------------------------------------------------
createCompositionMonkey = nil
createCompositionmonkey_eye = nil
---------------------------------------------------------------------------------------
createCompositionMonkey = function()
	local compositionMain = CreateCompositionSequence()
	local compositionDuration = 2.4
	compositionMain:setDuration(compositionDuration)
	compositionMain:setName("compositionMonkey" )
	compositionMain:setBoundingBox( Rectanglef(0, 0, 1366,768) )
 
	local element
	local effector
 
	-- Layer monkey_left_hand.png/1
	element = CreateCompositionElement(PREFIX_PATH.."monkey_left_hand.png")
	element:setName("monkey_left_hand.png/1")
	compositionMain:addElement(element)
	element:setHotSpot(55.5614754098361, 20.4200000000001)
	compositionMain:registerParentInfo("monkey_left_hand.png/1", "monkey_left_hand2.png/7")
	element:setXY(21.5, 38.25)
 
 
	effector = element:getEffector()
	effector:setLifeTime(2, 2.39998372395833)
	effector:play()
 
 
	-- Layer monkey_left_hand3.png/2
	element = CreateCompositionElement(PREFIX_PATH.."monkey_left_hand3.png")
	element:setName("monkey_left_hand3.png/2")
	compositionMain:addElement(element)
	element:setHotSpot(19.205882352941, 30.6617647058824)
	compositionMain:registerParentInfo("monkey_left_hand3.png/2", "monkey_left_hand.png/1")
	element:setXY(9.31147540983579, 14.6700000000001)
 
	element:setScale(1.13333333333333,1.13333333333333)
 
	effector = element:getEffector()
	effector:setLifeTime(2, 2.39998372395833)
	effector:play()
 
 
	-- Layer eye_ball.png/3
	element = CreateCompositionElement(PREFIX_PATH.."eye_ball.png")
	element:setName("eye_ball.png/3")
	compositionMain:addElement(element)
	element:setHotSpot(17.5, 18)
	element:setParentElement(compositionMain)
	element:setXY(548.5, 561)
 
	element:setRotationRad(5.08071050392307)
 
	effector = element:getEffector()
	effector:setLifeTime(2, 2.39998372395833)
	effector:play()
 
 
	-- Layer monkey_right_hand.png/4
	element = CreateCompositionElement(PREFIX_PATH.."monkey_right_hand.png")
	element:setName("monkey_right_hand.png/4")
	compositionMain:addElement(element)
	element:setHotSpot(22.6439872458022, 28.3786656530486)
	compositionMain:registerParentInfo("monkey_right_hand.png/4", "monkey_right_hand2.png/6")
	element:setXY(-5.75212410982135, 12.1110462840897)
 
	element:setScale(0.79220779220779,1)
 
	effector = element:getEffector()
	effector:setLifeTime(2, 2.39998372395833)
	effector:play()
 
 
	-- Layer monkey.png/5
	element = CreateCompositionElement(PREFIX_PATH.."monkey.png")
	element:setName("monkey.png/5")
	compositionMain:addElement(element)
	element:setHotSpot(63, 92)
	element:setParentElement(compositionMain)
	element:setXY(535, 507)
 
 
	effector = element:getEffector()
	effector:setLifeTime(2, 2.39998372395833)
	effector:play()
 
 
	-- Layer monkey_right_hand2.png/6
	element = CreateCompositionElement(PREFIX_PATH.."monkey_right_hand2.png")
	element:setName("monkey_right_hand2.png/6")
	compositionMain:addElement(element)
	element:setHotSpot(15.25, 9.5)
	element:setParentElement(compositionMain)
	element:setXY(513.75, 489.75)
 
	element:setScale(1.13953488372093,1.13953488372093)
 
	effector = element:getEffector()
	effector:setLifeTime(2, 2.39998372395833)
	effector:play()
 
 
	-- Layer monkey_left_hand2.png/7
	element = CreateCompositionElement(PREFIX_PATH.."monkey_left_hand2.png")
	element:setName("monkey_left_hand2.png/7")
	compositionMain:addElement(element)
	element:setHotSpot(11, 9)
	element:setParentElement(compositionMain)
	element:setXY(580, 493)
 
 
	effector = element:getEffector()
	effector:setLifeTime(2, 2.39998372395833)
	effector:play()
 
 
	-- Layer monkey_shadow.png/8
	element = CreateCompositionElement(PREFIX_PATH.."monkey_shadow.png")
	element:setName("monkey_shadow.png/8")
	compositionMain:addElement(element)
	element:setHotSpot(95.5, 97.5)
	element:setParentElement(compositionMain)
	element:setXY(516.5, 511)
 
 
	effector = element:getEffector()
	effector:setLifeTime(2, 2.39998372395833)
	effector:play()
 
 
	-- Layer monkey_eye/9
	element = createCompositionmonkey_eye()
	element:setName("monkey_eye/9")
	compositionMain:addElement(element)
	element:setHotSpot(683, 384)
	element:setParentElement(compositionMain)
	element:setXY(683, 384)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2)
	effector:play()
 
	compositionMain:play()
 
	return compositionMain
end
 
createCompositionmonkey_eye = function()
	local compositionmonkey_eye = CreateCompositionSequence()
	local compositionDuration = 2
	compositionmonkey_eye:setDuration(compositionDuration)
	compositionmonkey_eye:setName("compositionmonkey_eye" )
	compositionmonkey_eye:setBoundingBox( Rectanglef(0, 0, 1366,768) )
 
	local element
	local effector
 
	-- Layer monkey_left_hand.png/1
	element = CreateCompositionElement(PREFIX_PATH.."monkey_left_hand.png")
	element:setName("monkey_left_hand.png/1")
	compositionmonkey_eye:addElement(element)
	element:setHotSpot(55.5614754098361, 20.4200000000001)
	compositionmonkey_eye:registerParentInfo("monkey_left_hand.png/1", "monkey_left_hand2.png/7")
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2)
	effector:setKey(_TRACK_X, 0, 21.5)
	effector:setKey(_TRACK_Y, 0, 38.25)
	effector:setKey(_TRACK_X, 0.14286295572917, 21.8262342364441)
	effector:setKey(_TRACK_Y, 0.14286295572917, 35.3537638844171)
	effector:setKey(_TRACK_X, 0.28572591145833, 22.1524636930774)
	effector:setKey(_TRACK_Y, 0.28572591145833, 32.457574954066)
	effector:setKey(_TRACK_X, 0.33333333333333, 22.2612264297677)
	effector:setKey(_TRACK_Y, 0.33333333333333, 31.492002216297)
	effector:setKey(_TRACK_X, 0.4285888671875, 22.1259529182182)
	effector:setKey(_TRACK_Y, 0.4285888671875, 32.6929344379304)
	effector:setKey(_TRACK_X, 0.5714111328125, 21.9086630729475)
	effector:setKey(_TRACK_Y, 0.5714111328125, 34.621986152771)
	effector:setKey(_TRACK_X, 0.71427408854167, 21.7147595375418)
	effector:setKey(_TRACK_Y, 0.71427408854167, 36.3434099254362)
	effector:setKey(_TRACK_X, 0.85713704427083, 21.5659377562027)
	effector:setKey(_TRACK_Y, 0.85713704427083, 37.6646127318686)
	effector:setKey(_TRACK_X, 1, 21.5)
	effector:setKey(_TRACK_Y, 1, 38.25)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 0.14286295572917, -0.25641481637895)
	effector:setKey(_TRACK_A, 0.28572591145833, -0.51282961045751)
	effector:setKey(_TRACK_A, 0.33333333333333, -0.59827687206149)
	effector:setKey(_TRACK_A, 0.4285888671875, -0.49226919559647)
	effector:setKey(_TRACK_A, 0.5714111328125, -0.32208100521566)
	effector:setKey(_TRACK_A, 0.71427408854167, -0.16919960235016)
	effector:setKey(_TRACK_A, 0.85713704427083, -0.05191633930679)
	effector:setKey(_TRACK_A, 1, 0)
	effector:play()
 
 
	-- Layer monkey_left_hand3.png/2
	element = CreateCompositionElement(PREFIX_PATH.."monkey_left_hand3.png")
	element:setName("monkey_left_hand3.png/2")
	compositionmonkey_eye:addElement(element)
	element:setHotSpot(19.205882352941, 30.6617647058824)
	compositionmonkey_eye:registerParentInfo("monkey_left_hand3.png/2", "monkey_left_hand.png/1")
	element:setScale(1.13333333333333,1.13333333333333)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2)
	effector:setKey(_TRACK_X, 0, 9.31147540983579)
	effector:setKey(_TRACK_Y, 0, 14.6700000000001)
	effector:setKey(_TRACK_X, 0.14286295572917, 9.31147522834222)
	effector:setKey(_TRACK_Y, 0.14286295572917, 14.669999891934)
	effector:setKey(_TRACK_X, 0.28572591145833, 9.31147553163516)
	effector:setKey(_TRACK_Y, 0.28572591145833, 14.6700008612629)
	effector:setKey(_TRACK_X, 0.4285888671875, 9.31147519123171)
	effector:setKey(_TRACK_Y, 0.4285888671875, 14.6700001384015)
	effector:setKey(_TRACK_X, 0.5714111328125, 9.31147581570145)
	effector:setKey(_TRACK_Y, 0.5714111328125, 14.6700008445388)
	effector:setKey(_TRACK_X, 0.71427408854167, 9.31147462822625)
	effector:setKey(_TRACK_Y, 0.71427408854167, 14.6699992354809)
	effector:setKey(_TRACK_X, 0.85713704427083, 9.31147442686512)
	effector:setKey(_TRACK_Y, 0.85713704427083, 14.6699999872739)
	effector:setKey(_TRACK_X, 1, 9.31147540983579)
	effector:setKey(_TRACK_Y, 1, 14.6700000000001)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 0.14286295572917, 0.05815335037216)
	effector:setKey(_TRACK_A, 0.28572591145833, 0.11630669752872)
	effector:setKey(_TRACK_A, 0.29166666666667, 0.11872492307322)
	effector:setKey(_TRACK_A, 0.33333333333333, 0.19853419869099)
	effector:setKey(_TRACK_A, 0.375, 0.11872493677629)
	effector:setKey(_TRACK_A, 0.41666666666667, 0.1985342125929)
	effector:setKey(_TRACK_A, 0.4285888671875, 0.16908204967308)
	effector:setKey(_TRACK_A, 0.45833333333333, 0.11872494010712)
	effector:setKey(_TRACK_A, 0.5714111328125, 0.19649464401242)
	effector:setKey(_TRACK_A, 0.58333333333333, 0.19853420111299)
	effector:setKey(_TRACK_A, 0.70833333333333, 0.11872494189295)
	effector:setKey(_TRACK_A, 0.71427408854167, 0.11822584290994)
	effector:setKey(_TRACK_A, 0.85713704427083, 0.04805888245144)
	effector:setKey(_TRACK_A, 1, 0)
	effector:play()
 
 
	-- Layer eye_ball.png/3
	element = CreateCompositionElement(PREFIX_PATH.."eye_ball.png")
	element:setName("eye_ball.png/3")
	compositionmonkey_eye:addElement(element)
	element:setHotSpot(17.5, 18)
	element:setParentElement(compositionmonkey_eye)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2)
	effector:setKey(_TRACK_X, 0.5, 543.75)
	effector:setKey(_TRACK_Y, 0.5, 449.25)
	effector:setKey(_TRACK_X, 0.64286295572917, 522.10029806172)
	effector:setKey(_TRACK_Y, 0.64286295572917, 481.651315506492)
	effector:setKey(_TRACK_X, 0.78572591145833, 505.985537949617)
	effector:setKey(_TRACK_Y, 0.78572591145833, 517.107207329255)
	effector:setKey(_TRACK_X, 0.9285888671875, 508.320620214946)
	effector:setKey(_TRACK_Y, 0.9285888671875, 554.329685234491)
	effector:setKey(_TRACK_X, 1.0714111328125, 545.27220038392)
	effector:setKey(_TRACK_Y, 1.0714111328125, 561.474094294342)
	effector:setKey(_TRACK_X, 1.08333333333333, 548.500000930259)
	effector:setKey(_TRACK_Y, 1.08333333333333, 561.000000839833)
	effector:setKey(_TRACK_X, 1.20833333333333, 553.149178459436)
	effector:setKey(_TRACK_Y, 1.20833333333333, 558.354927649122)
	effector:setKey(_TRACK_X, 1.21427408854167, 553.12289478353)
	effector:setKey(_TRACK_Y, 1.21427408854167, 558.387331633072)
	effector:setKey(_TRACK_X, 1.35713704427083, 552.032710612726)
	effector:setKey(_TRACK_Y, 1.35713704427083, 559.172147868729)
	effector:setKey(_TRACK_X, 1.5, 550.876939307614)
	effector:setKey(_TRACK_Y, 1.5, 559.922924088181)
	effector:setKey(_TRACK_X, 1.64286295572917, 549.821636556624)
	effector:setKey(_TRACK_Y, 1.64286295572917, 560.555042769364)
	effector:setKey(_TRACK_X, 1.78572591145833, 548.969001452194)
	effector:setKey(_TRACK_Y, 1.78572591145833, 560.989373350541)
	effector:setKey(_TRACK_X, 1.9285888671875, 548.497962480685)
	effector:setKey(_TRACK_Y, 1.9285888671875, 561.02162217129)
	effector:setKey(_TRACK_X, 1.95833333333333, 548.5)
	effector:setKey(_TRACK_Y, 1.95833333333333, 561)
	effector:setKey(_TRACK_SX, 0.41666666666667, 0.46746031746031)
	effector:setKey(_TRACK_SY, 0.41666666666667, 0.46746031746031)
	effector:setKey(_TRACK_SX, 0.5, 0.60402778057231)
	effector:setKey(_TRACK_SY, 0.5, 0.60402777206094)
	effector:setKey(_TRACK_SX, 0.55952962239583, 0.64443706062779)
	effector:setKey(_TRACK_SY, 0.55952962239583, 0.64443704306866)
	effector:setKey(_TRACK_SX, 0.702392578125, 0.7414137895709)
	effector:setKey(_TRACK_SY, 0.702392578125, 0.74141379260139)
	effector:setKey(_TRACK_SX, 0.84525553385417, 0.83839051833699)
	effector:setKey(_TRACK_SY, 0.84525553385417, 0.83839052822926)
	effector:setKey(_TRACK_SX, 0.98807779947917, 0.93533962942115)
	effector:setKey(_TRACK_SY, 0.98807779947917, 0.93533964091442)
	effector:setKey(_TRACK_SX, 1.08333333333333, 0.99999999250366)
	effector:setKey(_TRACK_SY, 1.08333333333333, 0.99999999888079)
	effector:setKey(_TRACK_SX, 1.13094075520833, 0.99999999170171)
	effector:setKey(_TRACK_SY, 1.13094075520833, 0.999999997416)
	effector:setKey(_TRACK_SX, 1.2738037109375, 1.00000000668325)
	effector:setKey(_TRACK_SY, 1.2738037109375, 0.99999999414746)
	effector:setKey(_TRACK_SX, 1.41666666666667, 1.00000000165929)
	effector:setKey(_TRACK_SY, 1.41666666666667, 1.00000000241188)
	effector:setKey(_TRACK_SX, 1.55952962239583, 0.99999999661275)
	effector:setKey(_TRACK_SY, 1.55952962239583, 1.00000000389752)
	effector:setKey(_TRACK_SX, 1.702392578125, 1.00000000985473)
	effector:setKey(_TRACK_SY, 1.702392578125, 1.00000000584277)
	effector:setKey(_TRACK_SX, 1.84525553385417, 0.99999999392346)
	effector:setKey(_TRACK_SY, 1.84525553385417, 1.00000000783746)
	effector:setKey(_TRACK_SX, 1.95833333333333, 1)
	effector:setKey(_TRACK_SY, 1.95833333333333, 1)
	effector:setKey(_TRACK_A, 0.41666666666667, 0)
	effector:setKey(_TRACK_A, 0.55952962239583, -0.39304536899886)
	effector:setKey(_TRACK_A, 0.702392578125, -0.77270731989493)
	effector:setKey(_TRACK_A, 0.83333333333333, -1.01712027130287)
	effector:setKey(_TRACK_A, 0.84525553385417, -0.7652027744866)
	effector:setKey(_TRACK_A, 0.875, 4.83096740792391e-10)
	effector:setKey(_TRACK_A, 0.98807779947917, 2.10119917016737)
	effector:setKey(_TRACK_A, 1.08333333333333, 5.08071051816435)
	effector:setKey(_TRACK_A, 1.13094075520833, 5.2168859984878)
	effector:setKey(_TRACK_A, 1.20833333333333, 5.43825842801515)
	effector:setKey(_TRACK_A, 1.2738037109375, 5.40111809457771)
	effector:setKey(_TRACK_A, 1.41666666666667, 5.31026935825332)
	effector:setKey(_TRACK_A, 1.55952962239583, 5.22384798802638)
	effector:setKey(_TRACK_A, 1.702392578125, 5.14998358153257)
	effector:setKey(_TRACK_A, 1.84525553385417, 5.09722275716129)
	effector:setKey(_TRACK_A, 1.95833333333333, 5.08071050392307)
	effector:play()
 
 
	-- Layer monkey_right_hand.png/4
	element = CreateCompositionElement(PREFIX_PATH.."monkey_right_hand.png")
	element:setName("monkey_right_hand.png/4")
	compositionmonkey_eye:addElement(element)
	element:setHotSpot(22.6439872458022, 28.3786656530486)
	compositionmonkey_eye:registerParentInfo("monkey_right_hand.png/4", "monkey_right_hand2.png/6")
	element:setScale(0.79220779220779,1)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2)
	effector:setKey(_TRACK_X, 0, -5.75212410982135)
	effector:setKey(_TRACK_Y, 0, 12.1110462840897)
	effector:setKey(_TRACK_X, 0.14286295572917, -5.96039388551755)
	effector:setKey(_TRACK_Y, 0.14286295572917, 16.2833366724156)
	effector:setKey(_TRACK_X, 0.28572591145833, -6.1686599705396)
	effector:setKey(_TRACK_Y, 0.28572591145833, 20.4555608678605)
	effector:setKey(_TRACK_X, 0.33333333333333, -6.23809399862652)
	effector:setKey(_TRACK_Y, 0.33333333333333, 21.8465550483409)
	effector:setKey(_TRACK_X, 0.4285888671875, -6.15173428023019)
	effector:setKey(_TRACK_Y, 0.4285888671875, 20.1165024223904)
	effector:setKey(_TRACK_X, 0.5714111328125, -6.01301555303017)
	effector:setKey(_TRACK_Y, 0.5714111328125, 17.3375312965229)
	effector:setKey(_TRACK_X, 0.71427408854167, -5.88922751738644)
	effector:setKey(_TRACK_Y, 0.71427408854167, 14.8576621390074)
	effector:setKey(_TRACK_X, 0.85713704427083, -5.7942191353518)
	effector:setKey(_TRACK_Y, 0.85713704427083, 12.954350177501)
	effector:setKey(_TRACK_X, 1, -5.75212410982135)
	effector:setKey(_TRACK_Y, 1, 12.1110462840897)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 0.14286295572917, 0.53022177042864)
	effector:setKey(_TRACK_A, 0.28572591145833, 1.06044354378738)
	effector:setKey(_TRACK_A, 0.29166666666667, 1.08249207074587)
	effector:setKey(_TRACK_A, 0.36112467447917, 1.3198194007275)
	effector:setKey(_TRACK_A, 0.4285888671875, 1.08916952443916)
	effector:setKey(_TRACK_A, 0.4305419921875, 1.08249208502136)
	effector:setKey(_TRACK_A, 0.5, 1.18032537738579)
	effector:setKey(_TRACK_A, 0.5714111328125, 0.97128177227566)
	effector:setKey(_TRACK_A, 0.71427408854167, 0.52934757305375)
	effector:setKey(_TRACK_A, 0.85713704427083, 0.16908170158655)
	effector:setKey(_TRACK_A, 1, 0)
	effector:play()
 
 
	-- Layer monkey.png/5
	element = CreateCompositionElement(PREFIX_PATH.."monkey.png")
	element:setName("monkey.png/5")
	compositionmonkey_eye:addElement(element)
	element:setHotSpot(63, 92)
	element:setParentElement(compositionmonkey_eye)
	element:setXY(535, 507)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2)
	effector:play()
 
 
	-- Layer monkey_right_hand2.png/6
	element = CreateCompositionElement(PREFIX_PATH.."monkey_right_hand2.png")
	element:setName("monkey_right_hand2.png/6")
	compositionmonkey_eye:addElement(element)
	element:setHotSpot(15.25, 9.5)
	element:setParentElement(compositionmonkey_eye)
	element:setScale(1.13953488372093,1.13953488372093)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2)
	effector:setKey(_TRACK_X, 0, 513.75)
	effector:setKey(_TRACK_Y, 0, 489.75)
	effector:setKey(_TRACK_X, 0.14286295572917, 515.464256464931)
	effector:setKey(_TRACK_Y, 0.14286295572917, 486.96433293208)
	effector:setKey(_TRACK_X, 0.28572591145833, 517.178486845913)
	effector:setKey(_TRACK_Y, 0.28572591145833, 484.178709111837)
	effector:setKey(_TRACK_X, 0.33333333333333, 517.750000989299)
	effector:setKey(_TRACK_Y, 0.33333333333333, 483.249998923492)
	effector:setKey(_TRACK_X, 0.4285888671875, 517.039179409649)
	effector:setKey(_TRACK_Y, 0.4285888671875, 484.405084019994)
	effector:setKey(_TRACK_X, 0.5714111328125, 515.897390395349)
	effector:setKey(_TRACK_Y, 0.5714111328125, 486.260491095706)
	effector:setKey(_TRACK_X, 0.71427408854167, 514.878492866539)
	effector:setKey(_TRACK_Y, 0.71427408854167, 487.916198644873)
	effector:setKey(_TRACK_X, 0.85713704427083, 514.09648558031)
	effector:setKey(_TRACK_Y, 0.85713704427083, 489.186960978235)
	effector:setKey(_TRACK_X, 1, 513.75)
	effector:setKey(_TRACK_Y, 1, 489.75)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 0.14286295572917, -0.49586070019402)
	effector:setKey(_TRACK_A, 0.28572591145833, -0.99172139611993)
	effector:setKey(_TRACK_A, 0.33333333333333, -1.15696121239054)
	effector:setKey(_TRACK_A, 0.4285888671875, -0.95196118248243)
	effector:setKey(_TRACK_A, 0.5714111328125, -0.62284744776134)
	effector:setKey(_TRACK_A, 0.71427408854167, -0.32720200410526)
	effector:setKey(_TRACK_A, 0.85713704427083, -0.10039699061916)
	effector:setKey(_TRACK_A, 1, 0)
	effector:play()
 
 
	-- Layer monkey_left_hand2.png/7
	element = CreateCompositionElement(PREFIX_PATH.."monkey_left_hand2.png")
	element:setName("monkey_left_hand2.png/7")
	compositionmonkey_eye:addElement(element)
	element:setHotSpot(11, 9)
	element:setParentElement(compositionmonkey_eye)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2)
	effector:setKey(_TRACK_X, 0, 580)
	effector:setKey(_TRACK_Y, 0, 493)
	effector:setKey(_TRACK_X, 0.14286295572917, 579.035731153876)
	effector:setKey(_TRACK_Y, 0.14286295572917, 492.571436105476)
	effector:setKey(_TRACK_X, 0.28572591145833, 578.071663188202)
	effector:setKey(_TRACK_Y, 0.28572591145833, 492.142962074276)
	effector:setKey(_TRACK_X, 0.33333333333333, 577.749999611145)
	effector:setKey(_TRACK_Y, 0.33333333333333, 492.000000853766)
	effector:setKey(_TRACK_X, 0.4285888671875, 578.152655480368)
	effector:setKey(_TRACK_Y, 0.4285888671875, 492.178958833996)
	effector:setKey(_TRACK_X, 0.5714111328125, 578.794317567565)
	effector:setKey(_TRACK_Y, 0.5714111328125, 492.464140642261)
	effector:setKey(_TRACK_X, 0.71427408854167, 579.366516519898)
	effector:setKey(_TRACK_Y, 0.71427408854167, 492.718451160032)
	effector:setKey(_TRACK_X, 0.85713704427083, 579.800325838506)
	effector:setKey(_TRACK_Y, 0.85713704427083, 492.911257329333)
	effector:setKey(_TRACK_X, 1, 580)
	effector:setKey(_TRACK_Y, 1, 493)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 0.14286295572917, 0.22142112179035)
	effector:setKey(_TRACK_A, 0.28572591145833, 0.4428422458109)
	effector:setKey(_TRACK_A, 0.33333333333333, 0.51662827586273)
	effector:setKey(_TRACK_A, 0.4285888671875, 0.42508779033693)
	effector:setKey(_TRACK_A, 0.5714111328125, 0.27812566524971)
	effector:setKey(_TRACK_A, 0.71427408854167, 0.14610846220962)
	effector:setKey(_TRACK_A, 0.85713704427083, 0.04483117565061)
	effector:setKey(_TRACK_A, 1, 0)
	effector:play()
 
 
	-- Layer monkey_shadow.png/8
	element = CreateCompositionElement(PREFIX_PATH.."monkey_shadow.png")
	element:setName("monkey_shadow.png/8")
	compositionmonkey_eye:addElement(element)
	element:setHotSpot(95.5, 97.5)
	element:setParentElement(compositionmonkey_eye)
	element:setXY(516.5, 511)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2)
	effector:play()
 
	compositionmonkey_eye:play()
 
	return compositionmonkey_eye
end
 
